Subject: bug#54834: 29.0.50; Problems with M-x dirs

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 11 Apr 2022 12:14:15 +0200

Tassilo Horn <[email-masked]> writes:

>> Have you done a "make bootstrap"?
>
> The last one maybe before a week which seems not be recent enough.  I've
> done another bootstrap right now and cannot reproduce anymore, too.

I think it more or less works by accident, so I've explicitly required
subr-x now in Emacs 29.

>> This should be fixed on the emacs-28 branch now.
>
> Indeed, it is, thanks!
>
> Can you also tell me why every command I enter in the *shell* buffer is
> echoed (even after setting comint-process-echoes to t in that buffer)?

No, sorry.  That doesn't happen for me (with "emacs -Q"), but I guess it
might depend on the shell being used?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no